Subject: [xmpp] XMPP validation.

From: Kevin Smith <[email-masked]>
Date: Tue, 8 Jun 2010 18:02:23 +0100

11.4.  Validation

   A server is not responsible for ensuring that XML data delivered to a
   client or routed to another server is valid, in accordance with the
   definition of "valid" provided in Section 2.8 of [XML].  An
   implementation MAY choose to accept or provide only validated data,
   but such behavior is OPTIONAL.  A client SHOULD NOT rely on the
   ability to send data that does not conform to the schemas, and SHOULD
   silently ignore any non-conformant elements or attributes on the
   incoming XML stream.

I *think* this means that (given that the server will not know the
schemas for the possible extensions) servers may block stanzas that
are 'ok', but not valid against the 3920bis schema because of
unexpected elements. Is this right?

/K